@import "@/styles/variables";

.card {
    padding: 1rem 2rem;

    background-color: $white;
    position: relative;

    @include card-shadow;

    &-active {
        cursor: pointer;

        &:hover {
            @include scroll-nav-shadow;
        }
    }

    &_horizontal {
        scroll-snap-align: start;
        scroll-snap-stop: always;

        @include tablet {
            min-width: calc(52% - 1.25rem);
        }

        @include smallscreen {
            min-width: calc(51.35% - 1.25rem);
        }

        @include notebook {
            min-width: calc(34.1% - 1.25rem);
        }

        @include desktop {
            min-width: calc(33.85% - 1.25rem);
        }

        @media (min-width: 1900px) {
            min-width: calc(33.7% - 1.25rem);
        }

        @media (min-width: 2600px) {
            min-width: calc(33.6% - 1.25rem);
        }
    }
}
